Bug 1568492 - Don't show "Emoji Choice" in gnome-software
Summary: Don't show "Emoji Choice" in gnome-software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libappstream-glib
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-17 15:44 UTC by Kalev Lember
Modified: 2018-04-19 22:08 UTC (History)
5 users (show)

Fixed In Version: libappstream-glib-0.7.7-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-19 22:08:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Kalev Lember 2018-04-17 15:44:59 UTC
In https://bugzilla.redhat.com/show_bug.cgi?id=1567689, Mathieu Bridon describes an issue where removing "Emoji Choice" through gnome-software also removes all of gnome-shell, making the system unusable after that. "Emoji Choice" comes from ibus package and gnome-shell hard depends on ibus.

I'd like to fix this for F28 so that other users wouldn't run into the same issue and accidentally destroy their Workstation installation like that.

The fix is to not list "Emoji Choice" in gnome-software. "Emoji Choice"'s .desktop file has an empty "OnlyShowIn=" line in it which should (but currently does not) hide the app; the fix here makes gnome-software correctly honour that line, nicely working around the issue with accidentally removing gnome-shell.

Comment 1 Fedora Update System 2018-04-17 16:39:48 UTC
libappstream-glib-0.7.7-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6a89081c98

Comment 2 Adam Williamson 2018-04-17 21:46:47 UTC
I'm +1 FE to this as it'd be nice to get it fixed before freeze to avoid *current* F28 pre-release users hitting it, and it'd also be nice to ensure no-one hits this after installing from the released live image but before updating their system.

Comment 3 Patrick Uiterwijk 2018-04-17 22:17:46 UTC
+1 FE

Comment 4 Mohan Boddu 2018-04-17 22:28:33 UTC
+1 FE

Comment 5 Adam Williamson 2018-04-17 22:50:58 UTC
That's +3, setting accepted.

Comment 6 Fedora Update System 2018-04-18 16:20:05 UTC
libappstream-glib-0.7.7-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6a89081c98

Comment 7 František Zatloukal 2018-04-19 08:58:10 UTC
Issue is fixed after updating to libappstream-glib-0.7.7-3.fc28 .

Comment 8 Fedora Update System 2018-04-19 22:08:15 UTC
libappstream-glib-0.7.7-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.